Bug 54973 - Kernel panic relating to initrd
Kernel panic relating to initrd
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-23 17:15 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-03 15:19:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2001-10-23 17:15:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5+) Gecko/20011018

Description of problem:
If /initrd is deleted the computer will not finish booting up after a
reboot. It will kernel panic with a message about setting init=

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rm /initrd
2. Reboot
3. See error message

Actual Results:  I saw the error message

Expected Results:  To see the error message

Additional info:

This is using kernel-2.4.7-10
Comment 1 Bill Nottingham 2001-10-29 12:46:16 EST
Don't do that, then. It's required.
Comment 2 Frank Ch. Eigler 2001-12-03 15:19:44 EST
The problem is that, as outlined in bug 54878, this situation can arise
if RHN updates are incompletely applied.  It would be appropriate to
tolerate this situation by creating /initrd if necessary, perhaps
on each mkinitrd run, or at least during mkinitrd rpm installation.
Comment 3 Bill Nottingham 2001-12-03 15:25:30 EST
That's what the RPM requirement is for. I don't mean to be abrubt, but if you
break your dependencies, or remove random directories, you shouldn't be
surprised if something breaks.
Comment 4 Frank Ch. Eigler 2001-12-03 16:04:46 EST
I wouldn't have broken the dependencies if another way around
odd RPM packaging was eminently available.  In any case, this
particular situation is not hard to correct.  Hell, it's dead
easy to detect: make mkinitrd assert the existence of this
directory, much like it would abort if would fail to find some
modules from modules.conf.

Note You need to log in before you can comment on or make changes to this bug.